net.arnx.wmf2svg.gdi

## Interface GdiBrush

- All Superinterfaces:
    GdiObject

      public interface GdiBrush
      extends GdiObject

  Author:
    Hidekatsu Izuno

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BS_DIBPATTERN`
    `static int` | `BS_DIBPATTERN8X8`
    `static int` | `BS_DIBPATTERNPT`
    `static int` | `BS_HATCHED`
    `static int` | `BS_HOLLOW`
    `static int` | `BS_NULL`
    `static int` | `BS_PATTERN`
    `static int` | `BS_PATTERN8X8`
    `static int` | `BS_SOLID`
    `static int` | `DIB_PAL_COLORS`
    `static int` | `DIB_RGB_COLORS`
    `static int` | `HS_BDIAGONAL`
    `static int` | `HS_CROSS`
    `static int` | `HS_DIAGCROSS`
    `static int` | `HS_FDIAGONAL`
    `static int` | `HS_HORIZONTAL`
    `static int` | `HS_VERTICAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColor()`
    `int` | `getHatch()`
    `int` | `getStyle()`

- - ### Field Detail

    - #### BS_DIBPATTERN

          static final int BS_DIBPATTERN

      See Also:
        Constant Field Values

    - #### BS_DIBPATTERN8X8

          static final int BS_DIBPATTERN8X8

      See Also:
        Constant Field Values

    - #### BS_DIBPATTERNPT

          static final int BS_DIBPATTERNPT

      See Also:
        Constant Field Values

    - #### BS_HATCHED

          static final int BS_HATCHED

      See Also:
        Constant Field Values

    - #### BS_HOLLOW

          static final int BS_HOLLOW

      See Also:
        Constant Field Values

    - #### BS_NULL

          static final int BS_NULL

      See Also:
        Constant Field Values

    - #### BS_PATTERN

          static final int BS_PATTERN

      See Also:
        Constant Field Values

    - #### BS_PATTERN8X8

          static final int BS_PATTERN8X8

      See Also:
        Constant Field Values

    - #### BS_SOLID

          static final int BS_SOLID

      See Also:
        Constant Field Values

    - #### DIB_PAL_COLORS

          static final int DIB_PAL_COLORS

      See Also:
        Constant Field Values

    - #### DIB_RGB_COLORS

          static final int DIB_RGB_COLORS

      See Also:
        Constant Field Values

    - #### HS_HORIZONTAL

          static final int HS_HORIZONTAL

      See Also:
        Constant Field Values

    - #### HS_VERTICAL

          static final int HS_VERTICAL

      See Also:
        Constant Field Values

    - #### HS_FDIAGONAL

          static final int HS_FDIAGONAL

      See Also:
        Constant Field Values

    - #### HS_BDIAGONAL

          static final int HS_BDIAGONAL

      See Also:
        Constant Field Values

    - #### HS_CROSS

          static final int HS_CROSS

      See Also:
        Constant Field Values

    - #### HS_DIAGCROSS

          static final int HS_DIAGCROSS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getStyle

          int getStyle()

    - #### getColor

          int getColor()

    - #### getHatch

          int getHatch()